-module(utMapsFold).

-export([fold/1]).

fold(Map) ->
   fold(maps:iterator(Map), []).

fold(Iterator, AccList) ->
   case maps:next(Iterator) of
      {Key, Value, NextIter} ->
         fold(NextIter, [{Key, Value} | AccList]);
      none ->
         AccList
   end.
